from clarabot_nano.server.general.solr.input_processing.universal import UniversalQueryInputProcessor


class HungarianQueryInputProcessor(UniversalQueryInputProcessor):
    def process(self, user_input):
        user_input = UniversalQueryInputProcessor.process(self, user_input)
        # language specific boolean operators
        return user_input.replace(" ÉS ", " AND ").replace(" VAGY ", " OR ").replace("NEM ", "NOT ")
